###########################################################################
# rssh.spec - spec file for building RPMs of rssh, specifically for Red Hat
# systems, though probably suitable for others.
#

Summary: a restricted shell for scp or sftp
Name: rssh
Version: 2.3.2
Release: 1sme03
License: BSD
Group: System Environment/Shells
Source: http://www.pizzashack.org/rssh/src/%{name}-%{version}.tar.gz
Patch0: rssh-2.3.2-QuietDeny.patch
URL: http://www.pizzashack.org/rssh/
Packager: Derek Martin <rssh-discuss at lists dot sourceforge dot net>
Requires: openssh
Provides: rssh

Buildroot: /tmp/%{name}-%{version}-buildroot

%description
rssh is a restricted shell for use with ssh, which allows the system
administrator to restrict a user's access to a system via scp or sftp, or
both.

%package chroot-helper
Summary: rssh chroot helper program
Group: System Environment/Shells

%description chroot-helper

%prep
%setup
%patch0 -p1

%build
%configure
%{__make} 

%install
%{__rm} -rf %{buildroot}
%makeinstall

%files
%defattr(644, root, root, 0755)
%doc AUTHORS ChangeLog CHROOT COPYING README SECURITY TODO conf_convert.sh mkchroot.sh
%doc %{_mandir}/man?/*
%config(noreplace) %{_sysconfdir}/rssh.conf
%attr(755, root, root) %{_bindir}/rssh

%files chroot-helper
%attr(4755, root, root) %{_libexecdir}/rssh_chroot_helper

%clean
%{__rm} -rf %{buildroot}

%changelog
* Wed Mar 29 2006 Gordon Rowell <gordonr@gormand.com.au> 2.3.2-1sme03
- Deny remote users quietly [SME: 718]

* Sat Feb 11 2006 Gordon Rowell <gordonr@gormand.com.au> 2.3.2-1sme02
- Raised on SF: http://sourceforge.net/tracker/index.php?func=detail&aid=1429363&group_id=65349&atid=510641

* Sat Feb 11 2006 Gordon Rowell <gordonr@gormand.com.au> 2.3.2-1sme01
- Split rssh_chroot_helper into separate package. 
